## WebKitDOMDOMSecurityPolicy WebKitDOMDOMSecurityPolicy |

## Functions

gboolean | webkit_dom_dom_security_policy_allows_connection_to ()
gboolean | webkit_dom_dom_security_policy_allows_font_from ()
gboolean | webkit_dom_dom_security_policy_allows_form_action ()
gboolean | webkit_dom_dom_security_policy_allows_frame_from ()
gboolean | webkit_dom_dom_security_policy_allows_image_from ()
gboolean | webkit_dom_dom_security_policy_allows_media_from ()
gboolean | webkit_dom_dom_security_policy_allows_object_from ()
gboolean | webkit_dom_dom_security_policy_allows_plugin_type ()
gboolean | webkit_dom_dom_security_policy_allows_script_from ()
gboolean | webkit_dom_dom_security_policy_allows_style_from ()
gboolean | webkit_dom_dom_security_policy_get_allows_eval ()
gboolean | webkit_dom_dom_security_policy_get_allows_inline_script ()
gboolean | webkit_dom_dom_security_policy_get_allows_inline_style ()
gboolean | webkit_dom_dom_security_policy_get_is_active ()
WebKitDOMDOMStringList * | webkit_dom_dom_security_policy_get_report_ur_is ()

## Properties

gboolean | allows-eval | Read
gboolean | allows-inline-script | Read
gboolean | allows-inline-style | Read
gboolean | is-active | Read
WebKitDOMDOMStringList * | report-ur-is | Read

## Types and Values

| WebKitDOMDOMSecurityPolicy

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMDOMSecurityPolicy

## Description

## Functions

### webkit_dom_dom_security_policy_allows_connection_to ()

    gboolean
    webkit_dom_dom_security_policy_allows_connection_to
                                   (WebKitDOMDOMSecurityPolicy *self,
                                    const gchar *url);

#### Parameters

self | A WebKitDOMDOMSecurityPolicy |
url | A gchar |

#### Returns

A gboolean

### webkit_dom_dom_security_policy_allows_font_from ()

    gboolean
    webkit_dom_dom_security_policy_allows_font_from
                                   (WebKitDOMDOMSecurityPolicy *self,
                                    const gchar *url);

#### Parameters

self | A WebKitDOMDOMSecurityPolicy |
url | A gchar |

#### Returns

A gboolean

### webkit_dom_dom_security_policy_allows_form_action ()

    gboolean
    webkit_dom_dom_security_policy_allows_form_action
                                   (WebKitDOMDOMSecurityPolicy *self,
                                    const gchar *url);

#### Parameters

self | A WebKitDOMDOMSecurityPolicy |
url | A gchar |

#### Returns

A gboolean

### webkit_dom_dom_security_policy_allows_frame_from ()

    gboolean
    webkit_dom_dom_security_policy_allows_frame_from
                                   (WebKitDOMDOMSecurityPolicy *self,
                                    const gchar *url);

#### Parameters

self | A WebKitDOMDOMSecurityPolicy |
url | A gchar |

#### Returns

A gboolean

### webkit_dom_dom_security_policy_allows_image_from ()

    gboolean
    webkit_dom_dom_security_policy_allows_image_from
                                   (WebKitDOMDOMSecurityPolicy *self,
                                    const gchar *url);

#### Parameters

self | A WebKitDOMDOMSecurityPolicy |
url | A gchar |

#### Returns

A gboolean

### webkit_dom_dom_security_policy_allows_media_from ()

    gboolean
    webkit_dom_dom_security_policy_allows_media_from
                                   (WebKitDOMDOMSecurityPolicy *self,
                                    const gchar *url);

#### Parameters

self | A WebKitDOMDOMSecurityPolicy |
url | A gchar |

#### Returns

A gboolean

### webkit_dom_dom_security_policy_allows_object_from ()

    gboolean
    webkit_dom_dom_security_policy_allows_object_from
                                   (WebKitDOMDOMSecurityPolicy *self,
                                    const gchar *url);

#### Parameters

self | A WebKitDOMDOMSecurityPolicy |
url | A gchar |

#### Returns

A gboolean

### webkit_dom_dom_security_policy_allows_plugin_type ()

    gboolean
    webkit_dom_dom_security_policy_allows_plugin_type
                                   (WebKitDOMDOMSecurityPolicy *self,
                                    const gchar *type);

#### Parameters

self | A WebKitDOMDOMSecurityPolicy |
type | A gchar |

#### Returns

A gboolean

### webkit_dom_dom_security_policy_allows_script_from ()

    gboolean
    webkit_dom_dom_security_policy_allows_script_from
                                   (WebKitDOMDOMSecurityPolicy *self,
                                    const gchar *url);

#### Parameters

self | A WebKitDOMDOMSecurityPolicy |
url | A gchar |

#### Returns

A gboolean

### webkit_dom_dom_security_policy_allows_style_from ()

    gboolean
    webkit_dom_dom_security_policy_allows_style_from
                                   (WebKitDOMDOMSecurityPolicy *self,
                                    const gchar *url);

#### Parameters

self | A WebKitDOMDOMSecurityPolicy |
url | A gchar |

#### Returns

A gboolean

### webkit_dom_dom_security_policy_get_allows_eval ()

    gboolean
    webkit_dom_dom_security_policy_get_allows_eval
                                   (WebKitDOMDOMSecurityPolicy *self);

#### Parameters

self | A WebKitDOMDOMSecurityPolicy |

#### Returns

A gboolean

### webkit_dom_dom_security_policy_get_allows_inline_script ()

    gboolean
    webkit_dom_dom_security_policy_get_allows_inline_script
                                   (WebKitDOMDOMSecurityPolicy *self);

#### Parameters

self | A WebKitDOMDOMSecurityPolicy |

#### Returns

A gboolean

### webkit_dom_dom_security_policy_get_allows_inline_style ()

    gboolean
    webkit_dom_dom_security_policy_get_allows_inline_style
                                   (WebKitDOMDOMSecurityPolicy *self);

#### Parameters

self | A WebKitDOMDOMSecurityPolicy |

#### Returns

A gboolean

### webkit_dom_dom_security_policy_get_is_active ()

    gboolean
    webkit_dom_dom_security_policy_get_is_active
                                   (WebKitDOMDOMSecurityPolicy *self);

#### Parameters

self | A WebKitDOMDOMSecurityPolicy |

#### Returns

A gboolean

### webkit_dom_dom_security_policy_get_report_ur_is ()

    WebKitDOMDOMStringList *
    webkit_dom_dom_security_policy_get_report_ur_is
                                   (WebKitDOMDOMSecurityPolicy *self);

#### Parameters

self | A WebKitDOMDOMSecurityPolicy |

#### Returns

A WebKitDOMDOMStringList.

[transfer full]

## Types and Values

### WebKitDOMDOMSecurityPolicy

    typedef struct _WebKitDOMDOMSecurityPolicy WebKitDOMDOMSecurityPolicy;

## Property Details

### The `“allows-eval”` property

      “allows-eval”              gboolean

read-only gboolean DOMSecurityPolicy:allows-eval.

Flags: Read

Default value: FALSE

### The `“allows-inline-script”` property

      “allows-inline-script”     gboolean

read-only gboolean DOMSecurityPolicy:allows-inline-script.

Flags: Read

Default value: FALSE

### The `“allows-inline-style”` property

      “allows-inline-style”      gboolean

read-only gboolean DOMSecurityPolicy:allows-inline-style.

Flags: Read

Default value: FALSE

### The `“is-active”` property

      “is-active”                gboolean

read-only gboolean DOMSecurityPolicy:is-active.

Flags: Read

Default value: FALSE

### The `“report-ur-is”` property

      “report-ur-is”             WebKitDOMDOMStringList *

read-only WebKitDOMDOMStringList* DOMSecurityPolicy:report-ur-is.

Flags: Read